Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# UDPHandler Class Reference

`#include <UDPHandler.h>`

Collaboration diagram for UDPHandler:

[legend]
List of all members.

## Public Member Functions
| UDPHandler ()
| ~UDPHandler ()
void | addSenderAndReceiver (NetSenderBase &sender, NetReceiverBase &receiver)
void | start ()
void | doRegularStuff ()
## Private Attributes
int | numberOfEndpoints
UDPHandlerEndpoint | endPoints [Player::numOfPlayerNumbers-1]
DDPHandler | ddpHandler

## Constructor & Destructor Documentation

UDPHandler::UDPHandler | ( |  | ) |

| Definition at line 143 of file UDPHandler.cpp. References numberOfEndpoints.

UDPHandler::~UDPHandler | ( |  | ) | `[inline]`

| Definition at line 62 of file UDPHandler.h.

## Member Function Documentation

void UDPHandler::addSenderAndReceiver | ( | NetSenderBase & | sender,
|  | NetReceiverBase & | receiver
| ) |

| Definition at line 148 of file UDPHandler.cpp. References UDPHandlerEndpoint::ddpHandler, endPoints, NetReceiverBase::getPackage(), NetSenderBase::getPackage(), numberOfEndpoints, UDPHandlerEndpoint::receiver, UDPHandlerEndpoint::sender, NetSenderBase::senderNumber, NetSenderBase::setHandler(), and UDPHandlerEndpoint::udpHandler.

Here is the call graph for this function:

void UDPHandler::start | ( |  | ) |

| Definition at line 161 of file UDPHandler.cpp. References UDPEndpoint::bind(), endPoints, getPlayer(), Player::getPlayerNumber(), DDPHandler::initDDPHandler(), and TEAMPORTBASE.

Here is the call graph for this function:

void UDPHandler::doRegularStuff | ( |  | ) |

| Definition at line 176 of file UDPHandler.cpp. References DDPHandler::sendDDPPackage(). Referenced by UDPHandlerEndpoint::sendPackage().

Here is the call graph for this function:

## Member Data Documentation

int UDPHandler::numberOfEndpoints`[private]`

| Definition at line 68 of file UDPHandler.h. Referenced by addSenderAndReceiver(), and UDPHandler().

UDPHandlerEndpoint UDPHandler::endPoints[Player::numOfPlayerNumbers-1]`[private]`

| Definition at line 71 of file UDPHandler.h. Referenced by addSenderAndReceiver(), and start().

DDPHandler UDPHandler::ddpHandler`[private]`

| Definition at line 72 of file UDPHandler.h.

The documentation for this class was generated from the following files:

- Platform/Aperios1.3.2/UDPHandler.h
- Platform/Aperios1.3.2/UDPHandler.cpp